### Method

# GtkSource PrintCompositor set_highlight_syntax

#### Declaration [src]

    void
    gtk_source_print_compositor_set_highlight_syntax (
      GtkSourcePrintCompositor* compositor,
      gboolean highlight
    )

#### Description [src]

Sets whether the printed text will be highlighted according to the buffer rules. Both color and font style are applied.

This function cannot be called anymore after the first call to the `gtk_source_print_compositor_paginate()` function.

Sets property | `GtkSource.PrintCompositor:highlight-syntax`

#### Parameters

`highlight`

  Type: `gboolean`

  Whether syntax should be highlighted.